#ifndef QUIEMBROIDERY_H
#define QUIEMBROIDERY_H

#include "mctype/machinetypefun.h"

//绗绣机
class Quiembroidery : public MachineTypeFun
{
    Q_OBJECT
public:
    Quiembroidery();
    ~Quiembroidery();

private:
    void initSpindleTestParasList();//主轴研车(试机)参数
    void initRootParasList();//超级用户参数(包括机器参数、工作参数和遍历设置)
    void initRootTraverseSetParasList();//超级用户遍历设置参数
    void initLockTestParasList();//锁头测试参数
    void initColorPatternPatchParasList();//花样按色贴布绣参数
    void initNeedlePatternPatchParasList();//花样按针贴布绣参数
    void initPatternsParasList();//花样参数
    void initPatternOutlineParasList();//花样轮廓参数
    void initMcParasList();//主控机器参数
    void initWkParasList();//主控工作参数
    void initHeadParasList();//平绣机头板参数
    void initEXBUpgradeParaList();//外围板升级参数


private:
    void initOutCtrlList();//控制动作
    void initShortCutList();//快捷动作
    void initAssistList();//辅助功能
    void initPatternSetList();//花样设置
    void initParaSetList();//参数设置
    void initEmbFunctionList();//刺绣功能

private:
    void initSensorList();//初始化传感器列表
    void initErrorCodeAndStateList();//初始化错误代码和状态列表
};

#endif // QUIEMBROIDERY_H
